#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 1e5 + 50;
int n, a[N], cnt[N], last[N];
int main()
{
    scanf("%d", &n);
    for (int i = 1; i <= n; i++) scanf("%d", a + i);
    ll ans = 0, cur = 0;
    for (ll i = 1; i <= n; i++)
    {
        cur += cnt[i] = cnt[i - 1];
        if (last[a[i]] == 0)
            cnt[i]++;
        else
            cur -= i - last[a[i]];
        last[a[i]] = i;
        ans += i * cnt[i] - cur;
    }
    printf("%lld", ans);
    return 0;
}